function plot_cbg_cgb(path)

%Plots data from 21st of April
%Example of use: plot_cbg_cgb('d:\temp')
%Parameter "path" is the directory at which you are at present.


%open data files

%physical
data_meas_pmos_cbg = xlsread([path,'\Physical\Processed data\april21\pmos\pmos_cbg.xls']); %Notice that headings are not imported
data_meas_nmos_cbg = xlsread([path,'\Physical\Processed data\april21\nmos\nmos_cbg.xls']);
data_meas_nmos_cgb = xlsread([path,'\Physical\Processed data\april21\nmos\nmos_cgb.xls']);

%simulated
data_sim_nmos_cbg = csvread([path,'\Simulated\april21\ac_nmos_cbg.csv'],14,0);
data_sim_pmos_cbg = csvread([path,'\Simulated\april21\ac_pmos_cbg.csv'],14,0);
data_sim_nmos_cgb = csvread([path,'\Simulated\april21\ac_nmos_cgb.csv'],14,0);
data_sim_pmos_cgb = csvread([path,'\Simulated\april21\ac_pmos_cgb.csv'],14,0);










%##########################################################################
%########################## Cbg pmos  #####################################
%##########################################################################

%plot P_CBG_1
figure(1)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,2+column);
end
plot(xaxis,yaxis,'k-')

%simulated tt
figure(1)
hold on
column=0;
for row=0:1:400
    xaxis(1+row) = data_sim_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_sim_pmos_cbg(1+row,18+column);
end
plot(xaxis,yaxis,'k:')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=100MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot P_CBG_2
figure(2)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,3+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=50MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;

%plot P_CBG_3
figure(3)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,4+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=10MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot P_CBG_4
figure(4)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,5+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=1MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot P_CBG_5
figure(5)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,6+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=500kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot P_CBG_6
figure(6)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,7+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=250kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot P_CBG_7
figure(7)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,8+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=100kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot P_CBG_8
figure(8)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,9+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=10kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot P_CBG_9
figure(9)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,10+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=1kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot P_CBG_10
figure(10)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,11+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=100MHz, ','A=10mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot P_CBG_11
figure(11)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,12+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=100MHz, ','A=5mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot P_CBG_12
figure(12)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,13+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=100MHz, ','A=30mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot P_CBG_13
figure(13)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,14+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=110MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot P_CBG_14
figure(14)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_pmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cbg(1+row,15+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, pmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=100MHz, ','A=20mV_{rms}, ','C_{P}']})
hold off
clear xaxis;
clear yaxis;









%##########################################################################
%########################## Cbg nmos  #####################################
%##########################################################################

%plot N_CBG_1
figure(21)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,2+column);
end
plot(xaxis,yaxis,'k-')

%simulated tt
figure(21)
hold on
column=0;
for row=0:1:400
    xaxis(1+row) = data_sim_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_sim_nmos_cbg(1+row,18+column);
end
plot(xaxis,yaxis,'k:')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=100MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CBG_2
figure(22)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,3+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=50MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CBG_3
figure(23)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,4+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=10MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CBG_4
figure(24)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,5+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=1MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CBG_5
figure(25)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,6+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=500kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CBG_6
figure(26)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,7+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=250kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CBG_7
figure(27)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,8+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=100kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CBG_8
figure(28)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,9+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=10kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CBG_9
figure(29)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,10+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=1kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CBG_10
figure(30)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,11+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=100MHz, ','A=10mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CBG_11
figure(31)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,12+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=100MHz, ','A=5mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CBG_12
figure(32)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,13+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=100MHz, ','A=30mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CBG_13
figure(33)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,14+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=110MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CBG_14
figure(34)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cbg(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cbg(1+row,15+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{B} [V]');
ylabel('C_{bg} [F]');
    title({['die3, nmos, ','V_{B} - C_{bg}, ','Drain & Source floating'];['f=100MHz, ','A=20mV_{rms}, ','C_{P}']})
hold off
clear xaxis;
clear yaxis;







%##########################################################################
%########################## Cgb nmos  #####################################
%##########################################################################

%plot N_CGB_1
figure(41)
hold on
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,2+column);
end
plot(xaxis,yaxis,'k-')

%simulated tt
figure(41)
hold on
column=0;
for row=0:1:400
    xaxis(1+row) = data_sim_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_sim_nmos_cgb(1+row,18+column);
end
plot(xaxis,yaxis,'k:')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=100MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CGB_2
figure(42)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,3+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=50MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CGB_3
figure(43)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,4+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=10MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CGB_4
figure(44)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,5+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=1MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CGB_5
figure(45)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,6+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=500kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CGB_6
figure(46)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,7+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=250kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CGB_7
figure(47)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,8+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=100kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CGB_8
figure(48)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,9+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=10kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CGB_9
figure(49)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,10+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=1kHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CGB_10
figure(50)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,11+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=100MHz, ','A=10mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CGB_11
figure(51)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,12+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=100MHz, ','A=5mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CGB_12
figure(52)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,13+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=100MHz, ','A=30mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CGB_13
figure(53)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,14+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=110MHz, ','A=20mV_{rms}, ','C_{S}']})
hold off
clear xaxis;
clear yaxis;


%plot N_CGB_14
figure(54)
column=0;
for row=0:1:299
    xaxis(1+row) = data_meas_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgb(1+row,15+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gb} [F]');
    title({['die3, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'];['f=100MHz, ','A=20mV_{rms}, ','C_{P}']})
hold off
clear xaxis;
clear yaxis;



