function plot_cgs_cgd(path)

%Plots data from 10th of May.
%Example of use: plot_cgd_cgd('d:\temp)
%Parameter "path" is the directory at which you are at present.

%open data files

%physical
data_meas_nmos_cgs_cgd = xlsread([path,'\Physical\Processed data\may10\nmos\nmos_cgs_cgd.xls']);
%data_meas_pmos_cgs_cgd = xlsread([path,'\Physical\Processed data\may10\pmos\pmos_cgs_cgd.xls']);  % PMOS is not included, since this has not been measured












%##########################################################################
%####################### Cgs & Cgd nmos  ##################################
%##########################################################################

%plot N_CGS_1
figure(1)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,2+column);
end
plot(xaxis,yaxis,'k-')

%{

%simulated tt
figure(1)
hold on
column=0;
for row=0:1:400
    xaxis(1+row) = data_sim_nmos_cgb(1+row,1+column);
    yaxis(1+row) = data_sim_nmos_cgb(1+row,14+column);
end
plot(xaxis,yaxis,'k:')

%}

xlabel('V_{G} [V]');
ylabel('C_{gs} [F]');
    title({['die3, nmos, ','V_{G} - C_{gs}, ','Drain & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;



%plot N_CGS_2
figure(2)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,3+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gs} [F]');
    title({['die3, nmos, ','V_{G} - C_{gs}, ','Drain & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;





%plot N_CGS_3
figure(3)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,4+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gs} [F]');
    title({['die3, nmos, ','V_{G} - C_{gs}, ','Drain & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias OFF']})
hold off
clear xaxis;
clear yaxis;




%plot N_CGS_4
figure(4)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,5+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gs} [F]');
    title({['die3, nmos, ','V_{G} - C_{gs}, ','Drain & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias OFF']})
hold off
clear xaxis;
clear yaxis;





%plot N_CGD_1
figure(5)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,6+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd3} [F]');
    title({['die3, nmos, ','V_{G} - C_{gd3}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;





%plot N_CGD_2
figure(6)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,7+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd3} [F]');
    title({['die3, nmos, ','V_{G} - C_{gd3}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;




%plot N_CGD_3
figure(7)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,8+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd3} [F]');
    title({['die3, nmos, ','V_{G} - C_{gd3}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias OFF']})
hold off
clear xaxis;
clear yaxis;



%plot N_CGD_4
figure(8)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,9+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd2} [F]');
    title({['die3, nmos, ','V_{G} - C_{gd2}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;




%plot N_CGD_5
figure(9)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,10+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd2} [F]');
    title({['die3, nmos, ','V_{G} - C_{gd2}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;



%plot N_CGD_6
figure(10)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,11+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd2} [F]');
    title({['die3, nmos, ','V_{G} - C_{gd2}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S} (intention was C_{P}, ','bias OFF']})
hold off
clear xaxis;
clear yaxis;




%plot N_CGD_7
figure(11)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,12+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd1} [F]');
    title({['die3, nmos, ','V_{G} - C_{gd1}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias ON']})
clear xaxis;
clear yaxis;




%plot N_CGD_8
figure(12)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,13+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd1} [F]');
    title({['die3, nmos, ','V_{G} - C_{gd1}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;



%plot N_CGD_9
figure(13)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,14+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd1} [F]');
    title({['die3, nmos, ','V_{G} - C_{gd1}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias OFF']})
hold off
clear xaxis;
clear yaxis;




%plot N_CGD_10
figure(14)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,15+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd0} [F]');
    title({['die3, nmos, ','V_{G} - C_{gd0}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;



%plot N_CGD_11
figure(15)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,16+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd0} [F]');
    title({['die3, nmos, ','V_{G} - C_{gd0}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;



%plot N_CGD_12
figure(16)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,17+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd0} [F]');
    title({['die3, nmos, ','V_{G} - C_{gd0}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias OFF']})
hold off
clear xaxis;
clear yaxis;









%plot COMMON CP
figure(17)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,2+column);
end
plot(xaxis,yaxis,'k:')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,6+column);
end
plot(xaxis,yaxis,'k-')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,9+column);
end
plot(xaxis,yaxis,'k-')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,12+column);
end
plot(xaxis,yaxis,'k-')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,15+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gg} [F]');
    title({['die3, nmos, ','V_{G} - C_{gg}, ','Source/Drain & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;



%plot COMMON CS
figure(18)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,3+column);
end
plot(xaxis,yaxis,'k:')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,7+column);
end
plot(xaxis,yaxis,'k-')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,10+column);
end
plot(xaxis,yaxis,'k-')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,13+column);
end
plot(xaxis,yaxis,'k-')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_nmos_cgs_cgd(1+row,16+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gg} [F]');
    title({['die3, nmos, ','V_{G} - C_{gg}, ','Source/Drain & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;






%{ 

%PMOS is not included, since this has not been measured!!


%##########################################################################
%####################### Cgs & Cgd pmos  ##################################
%##########################################################################

%plot P_CGS_1
figure(21)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,2+column);
end
plot(xaxis,yaxis,'k-')


%{
%simulated tt
figure(1)
hold on
column=0;
for row=0:1:400
    xaxis(1+row) = data_sim_pmos_cgb(1+row,1+column);
    yaxis(1+row) = data_sim_pmos_cgb(1+row,14+column);
end
plot(xaxis,yaxis,'k:')
%}


xlabel('V_{G} [V]');
ylabel('C_{gs} [F]');
    title({['die3, pmos, ','V_{G} - C_{gs}, ','Drain & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;



%plot P_CGS_2
figure(22)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,3+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gs} [F]');
    title({['die3, pmos, ','V_{G} - C_{gs}, ','Drain & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;





%plot P_CGS_3
figure(23)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,4+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gs} [F]');
    title({['die3, pmos, ','V_{G} - C_{gs}, ','Drain & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias OFF']})
hold off
clear xaxis;
clear yaxis;




%plot P_CGS_4
figure(24)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,5+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gs} [F]');
    title({['die3, pmos, ','V_{G} - C_{gs}, ','Drain & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias OFF']})
hold off
clear xaxis;
clear yaxis;





%plot P_CGD_1
figure(25)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,6+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd3} [F]');
    title({['die3, pmos, ','V_{G} - C_{gd3}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;





%plot P_CGD_2
figure(26)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,7+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd3} [F]');
    title({['die3, pmos, ','V_{G} - C_{gd3}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;




%plot P_CGD_3
figure(27)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,8+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd3} [F]');
    title({['die3, pmos, ','V_{G} - C_{gd3}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias OFF']})
hold off
clear xaxis;
clear yaxis;



%plot P_CGD_4
figure(28)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,9+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd2} [F]');
    title({['die3, pmos, ','V_{G} - C_{gd2}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;




%plot P_CGD_5
figure(29)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,10+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd2} [F]');
    title({['die3, pmos, ','V_{G} - C_{gd2}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;



%plot P_CGD_6
figure(30)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,11+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd2} [F]');
    title({['die3, pmos, ','V_{G} - C_{gd2}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S} (intention was C_{P}, ','bias OFF']})
hold off
clear xaxis;
clear yaxis;




%plot P_CGD_7
figure(31)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,12+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd1} [F]');
    title({['die3, pmos, ','V_{G} - C_{gd1}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias ON']})
clear xaxis;
clear yaxis;




%plot P_CGD_8
figure(32)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,13+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd1} [F]');
    title({['die3, pmos, ','V_{G} - C_{gd1}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;



%plot P_CGD_9
figure(33)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,14+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd1} [F]');
    title({['die3, pmos, ','V_{G} - C_{gd1}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias OFF']})
hold off
clear xaxis;
clear yaxis;




%plot P_CGD_10
figure(34)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,15+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd0} [F]');
    title({['die3, pmos, ','V_{G} - C_{gd0}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;



%plot P_CGD_11
figure(35)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,16+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd0} [F]');
    title({['die3, pmos, ','V_{G} - C_{gd0}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;



%plot P_CGD_12
figure(36)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,17+column);
end
plot(xaxis,yaxis,'k-')


xlabel('V_{G} [V]');
ylabel('C_{gd0} [F]');
    title({['die3, pmos, ','V_{G} - C_{gd0}, ','Source & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias OFF']})
hold off
clear xaxis;
clear yaxis;









%plot COMMON CP
figure(37)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,2+column);
end
plot(xaxis,yaxis,'k:')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,6+column);
end
plot(xaxis,yaxis,'k-')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,9+column);
end
plot(xaxis,yaxis,'k-')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,12+column);
end
plot(xaxis,yaxis,'k-')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,15+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gg} [F]');
    title({['die3, pmos, ','V_{G} - C_{gg}, ','Source/Drain & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{P}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;



%plot COMMON CS
figure(38)
hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,3+column);
end
plot(xaxis,yaxis,'k:')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,7+column);
end
plot(xaxis,yaxis,'k-')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,10+column);
end
plot(xaxis,yaxis,'k-')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,13+column);
end
plot(xaxis,yaxis,'k-')

hold on
column=0;
for row=0:1:800
    xaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,1+column);
    yaxis(1+row) = data_meas_pmos_cgs_cgd(1+row,16+column);
end
plot(xaxis,yaxis,'k-')

xlabel('V_{G} [V]');
ylabel('C_{gg} [F]');
    title({['die3, pmos, ','V_{G} - C_{gg}, ','Source/Drain & Bulk floating'];['f=80MHz, ','A=20mV_{rms}, ','C_{S}, ','bias ON']})
hold off
clear xaxis;
clear yaxis;





%}