function plot_extracts(path)

%Plots data from 16th of May
%example of use: plot_various('d:\temp')
%Parameter "path" is the directory at which you are at present.


%open data files

%measured
data_physical_nmos = xlsread([path,'\Physical\Processed data\may16\nmos\nmos_cgb_cbg_cgs_cgd.xls']); %measured data for plotting Cgb (with both drain and source floating) and Cgc
data_physical_pmos = xlsread([path,'\Physical\Processed data\may16\pmos\pmos_cgb_cbg_cgs_cgd.xls']);

nmos_complete = xlsread([path,'\Physical\Processed data\may26\nmos\nmos.xls']); %measured data for plotting Cgb (with only drain floating)
pmos_complete = xlsread([path,'\Physical\Processed data\may26\pmos\pmos.xls']);


%simulated
data_sim_nmos_cgb_d_s_floating_tt = csvread([path,'\Simulated\ac_nmos_cgb_d_s_floating_tt.csv'],14,0); % nmos sim-files to plot Cgb with drain and source floating
data_sim_nmos_cgb_d_s_floating_ss = csvread([path,'\Simulated\ac_nmos_cgb_d_s_floating_ss.csv'],14,0);
data_sim_nmos_cgb_d_s_floating_ff = csvread([path,'\Simulated\ac_nmos_cgb_d_s_floating_ff.csv'],14,0);

data_sim_pmos_cgb_d_s_floating_tt = csvread([path,'\Simulated\ac_pmos_cgb_d_s_floating_tt.csv'],14,0); % pmos sim-files to plot Cgb with drain and source floating
data_sim_pmos_cgb_d_s_floating_ss = csvread([path,'\Simulated\ac_pmos_cgb_d_s_floating_ss.csv'],14,0);
data_sim_pmos_cgb_d_s_floating_ff = csvread([path,'\Simulated\ac_pmos_cgb_d_s_floating_ff.csv'],14,0);


data_sim_ac_nmos_d_floating_vs00_tt = csvread([path,'\Simulated\ac_nmos_cgb_d_floating_vs00_tt.csv'],14,0); % nmos sim-files to plot Cgb with drain floating and source biased such that Vsb=0.0V,0.1V,0.2V
data_sim_ac_nmos_d_floating_vs00_ss = csvread([path,'\Simulated\ac_nmos_cgb_d_floating_vs00_ss.csv'],14,0);
data_sim_ac_nmos_d_floating_vs00_ff = csvread([path,'\Simulated\ac_nmos_cgb_d_floating_vs00_ff.csv'],14,0);
data_sim_ac_nmos_d_floating_vs01_tt = csvread([path,'\Simulated\ac_nmos_cgb_d_floating_vs01_tt.csv'],14,0);
data_sim_ac_nmos_d_floating_vs01_ss = csvread([path,'\Simulated\ac_nmos_cgb_d_floating_vs01_ss.csv'],14,0);
data_sim_ac_nmos_d_floating_vs01_ff = csvread([path,'\Simulated\ac_nmos_cgb_d_floating_vs01_ff.csv'],14,0);
data_sim_ac_nmos_d_floating_vs02_tt = csvread([path,'\Simulated\ac_nmos_cgb_d_floating_vs02_tt.csv'],14,0);
data_sim_ac_nmos_d_floating_vs02_ss = csvread([path,'\Simulated\ac_nmos_cgb_d_floating_vs02_ss.csv'],14,0);
data_sim_ac_nmos_d_floating_vs02_ff = csvread([path,'\Simulated\ac_nmos_cgb_d_floating_vs02_ff.csv'],14,0);

data_sim_ac_pmos_d_floating_vs_neg_00_tt = csvread([path,'\Simulated\ac_pmos_cgb_d_floating_vs-00_tt.csv'],14,0); % pmos sim-files to plot Cgb with drain floating and source biased such that Vsb=-0.0V,-0.1V,-0.2V
data_sim_ac_pmos_d_floating_vs_neg_00_ss = csvread([path,'\Simulated\ac_pmos_cgb_d_floating_vs-00_ss.csv'],14,0);
data_sim_ac_pmos_d_floating_vs_neg_00_ff = csvread([path,'\Simulated\ac_pmos_cgb_d_floating_vs-00_ff.csv'],14,0);
data_sim_ac_pmos_d_floating_vs_neg_01_tt = csvread([path,'\Simulated\ac_pmos_cgb_d_floating_vs-01_tt.csv'],14,0);
data_sim_ac_pmos_d_floating_vs_neg_01_ss = csvread([path,'\Simulated\ac_pmos_cgb_d_floating_vs-01_ss.csv'],14,0);
data_sim_ac_pmos_d_floating_vs_neg_01_ff = csvread([path,'\Simulated\ac_pmos_cgb_d_floating_vs-01_ff.csv'],14,0);
data_sim_ac_pmos_d_floating_vs_neg_02_tt = csvread([path,'\Simulated\ac_pmos_cgb_d_floating_vs-02_tt.csv'],14,0);
data_sim_ac_pmos_d_floating_vs_neg_02_ss = csvread([path,'\Simulated\ac_pmos_cgb_d_floating_vs-02_ss.csv'],14,0);
data_sim_ac_pmos_d_floating_vs_neg_02_ff = csvread([path,'\Simulated\ac_pmos_cgb_d_floating_vs-02_ff.csv'],14,0);


data_sim_ac_nmos_cgc_tt = csvread([path,'\Simulated\ac_nmos_cgc_b_d_floating_tt.csv'],14,0); % nmos sim-files to plot Cgc with drain and bulk floating
data_sim_ac_nmos_cgc_ss = csvread([path,'\Simulated\ac_nmos_cgc_b_d_floating_ss.csv'],14,0);
data_sim_ac_nmos_cgc_ff = csvread([path,'\Simulated\ac_nmos_cgc_b_d_floating_ff.csv'],14,0);

data_sim_ac_pmos_cgc_tt = csvread([path,'\Simulated\ac_pmos_cgc_b_d_floating_tt.csv'],14,0); %pmos sim-files to plot Cgc with drain and bulk floating
data_sim_ac_pmos_cgc_ss = csvread([path,'\Simulated\ac_pmos_cgc_b_d_floating_ss.csv'],14,0);
data_sim_ac_pmos_cgc_ff = csvread([path,'\Simulated\ac_pmos_cgc_b_d_floating_ff.csv'],14,0);






%##########################################################################
%################ PLOT CGB - Drain & Source floating ######################
%##########################################################################


%NMOS_CGB_MEASURED
figure(1)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = data_physical_nmos(1+row,1+column);
        yaxis(1+row) = data_physical_nmos(1+row,16+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_TT
figure(1)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_nmos_cgb_d_s_floating_tt(1+row,1+column);
        yaxis(1+row) = data_sim_nmos_cgb_d_s_floating_tt(1+row,16+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_SS
figure(1)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_nmos_cgb_d_s_floating_ss(1+row,1+column);
        yaxis(1+row) = data_sim_nmos_cgb_d_s_floating_ss(1+row,16+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_FF
figure(1)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_nmos_cgb_d_s_floating_ff(1+row,1+column);
        yaxis(1+row) = data_sim_nmos_cgb_d_s_floating_ff(1+row,16+column);
end
plot(xaxis,yaxis,'k--')

xlabel('V_{G}');
ylabel('C_{gb}');
    title(['die6, nmos, ','V_{G} - C_{gb}, ','Drain & Source floating'])
hold off
clear xaxis;
clear yaxis;







%PMOS_CGB_MEASURED
figure(2)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = data_physical_pmos(1+row,1+column);
        yaxis(1+row) = data_physical_pmos(1+row,16+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_TT
figure(2)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_pmos_cgb_d_s_floating_tt(1+row,1+column);
        yaxis(1+row) = data_sim_pmos_cgb_d_s_floating_tt(1+row,16+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_SS
figure(2)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_pmos_cgb_d_s_floating_ss(1+row,1+column);
        yaxis(1+row) = data_sim_pmos_cgb_d_s_floating_ss(1+row,16+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_FF
figure(2)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_pmos_cgb_d_s_floating_ff(1+row,1+column);
        yaxis(1+row) = data_sim_pmos_cgb_d_s_floating_ff(1+row,16+column);
end
plot(xaxis,yaxis,'k--')

xlabel('V_{G}');
ylabel('C_{gb}');
    title(['die3, pmos, ','V_{G} - C_{gb}, ','Drain & Source floating'])
hold off
clear xaxis;
clear yaxis;







%##########################################################################
%############################### PLOT CGB #################################
%###### Only Drain floating, while Source biased with dynamic Keithley ####
%##########################################################################


%NMOS_CGB_MEASURED - VSB = 0.0V
figure(80)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = nmos_complete(1+row,1+column);
        yaxis(1+row) = nmos_complete(1+row,7+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_TT - VSB = 0.0V
figure(80)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs00_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_d_floating_vs00_tt(1+row,16+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_SS - VSB = 0.0V
figure(80)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs00_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_d_floating_vs00_ss(1+row,16+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_FF - VSB = 0.0V
figure(80)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs00_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_d_floating_vs00_ff(1+row,16+column);
end
plot(xaxis,yaxis,'k--')

xlabel('V_{G}');
ylabel('C_{gb}');
    title({['die5, nmos, ','V_{G} - C_{gb}, ','V_{SB} = 0.0V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;








%NMOS_CGB_MEASURED - VSB = 0.1V
figure(81)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = nmos_complete(1+row,1+column);
        yaxis(1+row) = nmos_complete(1+row,13+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_TT - VSB = 0.1V
figure(81)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs01_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_d_floating_vs01_tt(1+row,16+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_SS - VSB = 0.1V
figure(81)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs01_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_d_floating_vs01_ss(1+row,16+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_FF - VSB = 0.1V
figure(81)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs01_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_d_floating_vs01_ff(1+row,16+column);
end
plot(xaxis,yaxis,'k--')


xlabel('V_{G}');
ylabel('C_{gb}');
    title({['die5, nmos, ','V_{G} - C_{gb}, ','V_{SB} = 0.1V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;






%NMOS_CGB_MEASURED - VSB = 0.2V
figure(82)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = nmos_complete(1+row,1+column);
        yaxis(1+row) = nmos_complete(1+row,19+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_TT - VSB = 0.2V
figure(82)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs02_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_d_floating_vs02_tt(1+row,16+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_SS - VSB = 0.2V
figure(82)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs02_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_d_floating_vs02_ss(1+row,16+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_FF - VSB = 0.2V
figure(82)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs02_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_d_floating_vs02_ff(1+row,16+column);
end
plot(xaxis,yaxis,'k--')

xlabel('V_{G}');
ylabel('C_{gb}');
    title({['die5, nmos, ','V_{G} - C_{gb}, ','V_{SB} = 0.2V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;
















%PMOS_CGB_MEASURED - VSB = 0.0V
figure(83)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = pmos_complete(1+row,7+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_TT - VSB = 0.0V
figure(83)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_00_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_00_tt(1+row,16+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_SS - VSB = 0.0V
figure(83)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_00_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_00_ss(1+row,16+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_FF - VSB = 0.0V
figure(83)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_00_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_00_ff(1+row,16+column);
end
plot(xaxis,yaxis,'k--')


xlabel('V_{G}');
ylabel('C_{gb}');
    title({['die7, pmos, ','V_{G} - C_{gb}, ','V_{SB} = 0.0V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;







%PMOS_CGB_MEASURED - VSB = -0.1V
figure(84)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = pmos_complete(1+row,13+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_TT - VSB = -0.1V
figure(84)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_01_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_01_tt(1+row,16+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_SS - VSB = -0.1V
figure(84)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_01_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_01_ss(1+row,16+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_FF - VSB = -0.1V
figure(84)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_01_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_01_ff(1+row,16+column);
end
plot(xaxis,yaxis,'k--')


xlabel('V_{G}');
ylabel('C_{gb}');
    title({['die7, pmos, ','V_{G} - C_{gb}, ','V_{SB} = -0.1V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;








%PMOS_CGB_MEASURED - VSB = -0.2V
figure(85)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = pmos_complete(1+row,19+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_TT - VSB = -0.2V
figure(85)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_02_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_02_tt(1+row,16+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_SS - VSB = -0.2V
figure(85)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_02_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_02_ss(1+row,16+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_FF - VSB = -0.2V
figure(85)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_02_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_02_ff(1+row,16+column);
end
plot(xaxis,yaxis,'k--')

xlabel('V_{G}');
ylabel('C_{gb}');
    title({['die7, pmos, ','V_{G} - C_{gb}, ','V_{SB} = -0.2V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;








%##########################################################################
%# PLOT CGB - with one of the drain nodes connected in addition to source #
%############## Source and drain biased with dynamic Keithley #############
%##########################################################################

%PMOS MEASURED CGB - Only source connected, all drain-nodes floating
figure(87)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = pmos_complete(1+row,3+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;

%PMOS MEASURED CGB - Drain0 connected in addition to source, other drain nodes are floating
figure(87)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = pmos_complete(1+row,43+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;

%PMOS MEASURED CGB - Drain1 connected in addition to source, other drain nodes are floating
figure(87)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = pmos_complete(1+row,61+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;

%PMOS MEASURED CGB - Drain2 connected in addition to source, other drain nodes are floating
figure(87)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = pmos_complete(1+row,79+column);
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;

%PMOS MEASURED CGB - Drain3 connected in addition to source, other drain nodes are floating
figure(87)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = pmos_complete(1+row,97+column);
end
plot(xaxis,yaxis,'k+')
clear xaxis;
clear yaxis;

xlabel('V_{G}');
ylabel('C_{gb}');
    title({['die7, pmos, ','V_{G} - C_{gb}, ','V_{SB} = 0.0V'];['Comparison of measured C_{gb} with and without drain floating']})
hold off
clear xaxis;
clear yaxis;






%##########################################################################
%########### PLOT CGC - Bulk and either Drain or Source floating ##########
%##########################################################################


%NMOS3_CGD_MEASURED
figure(31)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = data_physical_nmos(1+row,1+column);
        yaxis(1+row) = data_physical_nmos(1+row,24+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;

%NMOS_CGC_SIMULATED_TT - Cgc = Cdg + Csg (approximately)
figure(31)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_tt(1+row,20+column)+data_sim_ac_nmos_cgc_tt(1+row,21+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%NMOS_CGC_SIMULATED_SS - Cgc = Cdg + Csg (approximately)
figure(31)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_ss(1+row,20+column)+data_sim_ac_nmos_cgc_ss(1+row,21+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%NMOS_CGC_SIMULATED_FF - Cgc = Cdg + Csg (approximately)
figure(31)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_ff(1+row,20+column)+data_sim_ac_nmos_cgc_ff(1+row,21+column);
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;


xlabel('V_{G}');
ylabel('C_{gc}');
    title({['die6, nmos, ','V_{G} - C_{gc}'];['Bulk, Source and Drain0,Drain1,Drain2 floating']})
hold off
clear xaxis;
clear yaxis;




%------------


%NMOS2_CGD_MEASURED
figure(32)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = data_physical_nmos(1+row,1+column);
        yaxis(1+row) = data_physical_nmos(1+row,32+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;

%NMOS_CGC_SIMULATED_TT - Cgc = Cdg + Csg (approximately)
figure(32)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_tt(1+row,20+column)+data_sim_ac_nmos_cgc_tt(1+row,21+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%NMOS_CGC_SIMULATED_SS - Cgc = Cdg + Csg (approximately)
figure(32)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_ss(1+row,20+column)+data_sim_ac_nmos_cgc_ss(1+row,21+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%NMOS_CGC_SIMULATED_FF - Cgc = Cdg + Csg (approximately)
figure(32)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_ff(1+row,20+column)+data_sim_ac_nmos_cgc_ff(1+row,21+column);
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;


xlabel('V_{G}');
ylabel('C_{gc}');
    title({['die6, nmos, ','V_{G} - C_{gc}'];['Bulk, Source and Drain0,Drain1,Drain3 floating']})
hold off
clear xaxis;
clear yaxis;




%---------------


%NMOS1_CGD_MEASURED
figure(33)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = data_physical_nmos(1+row,1+column);
        yaxis(1+row) = data_physical_nmos(1+row,40+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;

%NMOS_CGC_SIMULATED_TT - Cgc = Cdg + Csg (approximately)
figure(33)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_tt(1+row,20+column)+data_sim_ac_nmos_cgc_tt(1+row,21+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%NMOS_CGC_SIMULATED_SS - Cgc = Cdg + Csg (approximately)
figure(33)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_ss(1+row,20+column)+data_sim_ac_nmos_cgc_ss(1+row,21+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%NMOS_CGC_SIMULATED_FF - Cgc = Cdg + Csg (approximately)
figure(33)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_ff(1+row,20+column)+data_sim_ac_nmos_cgc_ff(1+row,21+column);
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;


xlabel('V_{G}');
ylabel('C_{gc}');
    title({['die6, nmos, ','V_{G} - C_{gc}'];['Bulk, Source and Drain0,Drain2,Drain3 floating']})
hold off
clear xaxis;
clear yaxis;



%---------

%NMOS0_CGD_MEASURED
figure(34)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = data_physical_nmos(1+row,1+column);
        yaxis(1+row) = data_physical_nmos(1+row,48+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;

%NMOS_CGC_SIMULATED_TT - Cgc = Cdg + Csg (approximately)
figure(34)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_tt(1+row,20+column)+data_sim_ac_nmos_cgc_tt(1+row,21+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%NMOS_CGC_SIMULATED_SS - Cgc = Cdg + Csg (approximately)
figure(34)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_ss(1+row,20+column)+data_sim_ac_nmos_cgc_ss(1+row,21+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%NMOS_CGC_SIMULATED_FF - Cgc = Cdg + Csg (approximately)
figure(34)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_ff(1+row,20+column)+data_sim_ac_nmos_cgc_ff(1+row,21+column);
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;


xlabel('V_{G}');
ylabel('C_{gc}');
    title({['die6, nmos, ','V_{G} - C_{gc}'];['Bulk, Source and Drain1,Drain2,Drain3 floating']})
hold off
clear xaxis;
clear yaxis;


%----------


%NMOS_CGS_MEASURED
figure(35)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = data_physical_nmos(1+row,1+column);
        yaxis(1+row) = data_physical_nmos(1+row,56+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;

%NMOS_CGC_SIMULATED_TT - Cgc = Cdg + Csg (approximately)
figure(35)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_tt(1+row,20+column)+data_sim_ac_nmos_cgc_tt(1+row,21+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%NMOS_CGC_SIMULATED_SS - Cgc = Cdg + Csg (approximately)
figure(35)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_ss(1+row,20+column)+data_sim_ac_nmos_cgc_ss(1+row,21+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%NMOS_CGC_SIMULATED_FF - Cgc = Cdg + Csg (approximately)
figure(35)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_nmos_cgc_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_nmos_cgc_ff(1+row,20+column)+data_sim_ac_nmos_cgc_ff(1+row,21+column);
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;


xlabel('V_{G}');
ylabel('C_{gc}');
    title({['die6, nmos, ','V_{G} - C_{gc}'];['Bulk and Drain0,Drain1,Drain2,Drain3 floating']})
hold off
clear xaxis;
clear yaxis;








%------------
%------------






%PMOS3_CGD_MEASURED
figure(41)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = data_physical_pmos(1+row,1+column);
        yaxis(1+row) = data_physical_pmos(1+row,24+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;

%PMOS_CGC_SIMULATED_TT - Cgc = Cdg + Csg (approximately)
figure(41)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_tt(1+row,20+column)+data_sim_ac_pmos_cgc_tt(1+row,21+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%PMOS_CGC_SIMULATED_SS - Cgc = Cdg + Csg (approximately)
figure(41)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_ss(1+row,20+column)+data_sim_ac_pmos_cgc_ss(1+row,21+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;

%PMOS_CGC_SIMULATED_FF - Cgc = Cdg + Csg (approximately)
figure(41)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_ff(1+row,20+column)+data_sim_ac_pmos_cgc_ff(1+row,21+column);
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;


xlabel('V_{G}');
ylabel('C_{gc}');
    title({['die3, pmos, ','V_{G} - C_{gc}'];['Bulk, Source and Drain0,Drain1,Drain2 floating']})
hold off
clear xaxis;
clear yaxis;


%------------


%PMOS2_CGD_MEASURED
figure(42)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = data_physical_pmos(1+row,1+column);
        yaxis(1+row) = data_physical_pmos(1+row,32+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;

%PMOS_CGC_SIMULATED_TT - Cgc = Cdg + Csg (approximately)
figure(42)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_tt(1+row,20+column)+data_sim_ac_pmos_cgc_tt(1+row,21+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%PMOS_CGC_SIMULATED_SS - Cgc = Cdg + Csg (approximately)
figure(42)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_ss(1+row,20+column)+data_sim_ac_pmos_cgc_ss(1+row,21+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;

%PMOS_CGC_SIMULATED_FF - Cgc = Cdg + Csg (approximately)
figure(42)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_ff(1+row,20+column)+data_sim_ac_pmos_cgc_ff(1+row,21+column);
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;


xlabel('V_{G}');
ylabel('C_{gc}');
    title({['die3, pmos, ','V_{G} - C_{gc}'];['Bulk, Source and Drain0,Drain1,Drain3 floating']})
hold off
clear xaxis;
clear yaxis;



%------------


%PMOS1_CGD_MEASURED
figure(43)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = data_physical_pmos(1+row,1+column);
        yaxis(1+row) = data_physical_pmos(1+row,40+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;

%PMOS_CGC_SIMULATED_TT - Cgc = Cdg + Csg (approximately)
figure(43)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_tt(1+row,20+column)+data_sim_ac_pmos_cgc_tt(1+row,21+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%PMOS_CGC_SIMULATED_SS - Cgc = Cdg + Csg (approximately)
figure(43)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_ss(1+row,20+column)+data_sim_ac_pmos_cgc_ss(1+row,21+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;

%PMOS_CGC_SIMULATED_FF - Cgc = Cdg + Csg (approximately)
figure(43)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_ff(1+row,20+column)+data_sim_ac_pmos_cgc_ff(1+row,21+column);
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;


xlabel('V_{G}');
ylabel('C_{gc}');
    title({['die3, pmos, ','V_{G} - C_{gc}'];['Bulk, Source and Drain0,Drain2,Drain3 floating']})
hold off
clear xaxis;
clear yaxis;



%------------


%PMOS0_CGD_MEASURED
figure(44)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = data_physical_pmos(1+row,1+column);
        yaxis(1+row) = data_physical_pmos(1+row,48+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;

%PMOS_CGC_SIMULATED_TT - Cgc = Cdg + Csg (approximately)
figure(44)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_tt(1+row,20+column)+data_sim_ac_pmos_cgc_tt(1+row,21+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%PMOS_CGC_SIMULATED_SS - Cgc = Cdg + Csg (approximately)
figure(44)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_ss(1+row,20+column)+data_sim_ac_pmos_cgc_ss(1+row,21+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;

%PMOS_CGC_SIMULATED_FF - Cgc = Cdg + Csg (approximately)
figure(44)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_ff(1+row,20+column)+data_sim_ac_pmos_cgc_ff(1+row,21+column);
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;


xlabel('V_{G}');
ylabel('C_{gc}');
    title({['die3, pmos, ','V_{G} - C_{gc}'];['Bulk, Source and Drain1,Drain2,Drain3 floating']})
hold off
clear xaxis;
clear yaxis;





%-------------


%PMOS_CGS_MEASURED
figure(45)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = data_physical_pmos(1+row,1+column);
        yaxis(1+row) = data_physical_pmos(1+row,56+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%PMOS_CGC_SIMULATED_TT - Cgc = Cdg + Csg (approximately)
figure(45)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_tt(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_tt(1+row,20+column)+data_sim_ac_pmos_cgc_tt(1+row,21+column);
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%PMOS_CGC_SIMULATED_SS - Cgc = Cdg + Csg (approximately)
figure(45)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_ss(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_ss(1+row,20+column)+data_sim_ac_pmos_cgc_ss(1+row,21+column);
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;

%PMOS_CGC_SIMULATED_FF - Cgc = Cdg + Csg (approximately)
figure(45)
hold on
column=0;
for row=0:1:400
        xaxis(1+row) = data_sim_ac_pmos_cgc_ff(1+row,1+column);
        yaxis(1+row) = data_sim_ac_pmos_cgc_ff(1+row,20+column)+data_sim_ac_pmos_cgc_ff(1+row,21+column);
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;


xlabel('V_{G}');
ylabel('C_{gc}');
    title({['die3, pmos, ','V_{G} - C_{gc}'];['Bulk and Drain0,Drain1,Drain2,Drain3 floating']})
hold off
clear xaxis;
clear yaxis;










%##########################################################################
%############################### PLOT CGS #################################
%###### Only Drain floating, while Bulk biased with dynamic Keithley ######
%##########################################################################


%NMOS_CGS_MEASURED - VSB = 0.0V
figure(100)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = nmos_complete(1+row,1+column);
        yaxis(1+row) = nmos_complete(1+row,25+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;



%NMOS_CGS_MEASURED - VSB = 0.1V
figure(101)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = nmos_complete(1+row,1+column);
        yaxis(1+row) = nmos_complete(1+row,31+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;



%NMOS_CGS_MEASURED - VSB = 0.2V
figure(102)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = nmos_complete(1+row,1+column);
        yaxis(1+row) = nmos_complete(1+row,37+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;





%PMOS_CGS_MEASURED - VSB = 0.0V
figure(103)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = pmos_complete(1+row,25+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;



%PMOS_CGS_MEASURED - VSB = 0.0V
figure(104)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = pmos_complete(1+row,31+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;



%PMOS_CGS_MEASURED - VSB = 0.0V
figure(105)
hold on
column=0;
for row=0:1:800
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = pmos_complete(1+row,37+column);
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;












%##########################################################################
%################## USE THE 1/C^2 METHOD TO FIND VFB ######################
%##########################################################################


%NMOS_CGB_VFB_SIMULATED_TT
figure(5)
hold on
column=0;
for row=0:1:25
    xaxis(1+row) = data_sim_ac_nmos_d_floating_vs00_tt(1+row,1+column);
    yaxis(1+row) = 1/((data_sim_ac_nmos_d_floating_vs00_tt(1+row,16+column))^2);
end
plot(xaxis,yaxis,'k.')
legend('1/C_{gb}^{2} simulated')

xlabel('V_{G} [V]');
ylabel('1/C_{gb}^{2}');
    xlim('manual');
    xlim([-1.5 0]);
%    ylim([2e12 12.5e12]);
    title({['nmos, ','V_{FB} extraction (simulated), ','V_{SB} = 0.0V'];['Drain floating, Source connected']})
hold off
clear xaxis;
clear yaxis;



%PMOS_CGB_VFB_SIMULATED_TT
figure(6)
hold on
column=0;
for row=375:1:400
    xaxis(1+row-375) = data_sim_ac_pmos_d_floating_vs_neg_00_tt(1+row,1+column);
    yaxis(1+row-375) = 1/((data_sim_ac_pmos_d_floating_vs_neg_00_tt(1+row,16+column))^2);
end
plot(xaxis,yaxis,'k.')
legend('1/C_{gb}^{2} simulated')

xlabel('V_{G} [V]');
ylabel('1/C_{gb}^{2}');
    xlim('manual');
    xlim([0 1.5]);
%    ylim([2e12 12.5e12]);
    title({['pmos, ','V_{FB} extraction (simulated), ','V_{SB} = 0.0V'];['Drain floating, Source connected']})
hold off
clear xaxis;
clear yaxis;






%NMOS_CGB_VFB_MEASURED
figure(7)
hold on
column=0;
for row=0:1:25
    xaxis(1+row) = nmos_complete(1+row,1+column);
    yaxis(1+row) = 1/((nmos_complete(1+row,8+column))^2);
end
plot(xaxis,yaxis,'k.')
legend('1/C_{gb}^{2} measured')

xlabel('V_{G} [V]');
ylabel('1/C_{gb}^{2}');
    xlim('manual');
    xlim([-1.35 -0.8]);
%    ylim([2e12 12.5e12]);
    title({['die5, nmos, ','V_{FB} extraction (measured), ','V_{SB} = 0.0V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;



%PMOS_CGB_VFB_MEASURED
figure(8)
hold on
column=0;
for row=775:1:800
    xaxis(1+row-775) = pmos_complete(1+row,1+column);
    yaxis(1+row-775) = 1/((pmos_complete(1+row,8+column))^2);
end
plot(xaxis,yaxis,'k.')
legend('1/C_{gb}^2 measured')

xlabel('V_{G} [V]');
ylabel('1/C_{gb}^{2}');
    xlim('manual');
    xlim([0.75 1.25]);
%    ylim([2e12 12.5e12]);
    title({['die7, pmos, ','V_{FB} extraction (measured), ','V_{SB} = 0.0V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;



%##########################################################################
%############## USE THE 1/C METHOD TO FIND COX --> TOX ####################
%##########################################################################

%Vfb values found from simulations:
%vfb_nmos=-1.329V
%vfb_pmos=+1.162V

%NMOS_CGB_COX_SIMULATED_TT
figure(9)
hold on
column=0;
for row=0:1:25
    xaxis(1+row) = ((data_sim_ac_nmos_d_floating_vs00_tt(1+row,1+column) - (-1.329))^(1/1.065));       % plot (Vg-Vfb)^(1/n)
    yaxis(1+row) = 1/(data_sim_ac_nmos_d_floating_vs00_tt(1+row,16+column));
end
plot(xaxis,yaxis,'k.')
legend('1/C_{gb}')

xlabel('1/(V_{G} - V_{FB})^{1/n}');
ylabel('1/C_{gb}');
    title({['nmos, ','C_{ox} extraction (simulated), ','V_{SB} = 0.0V'];['Drain floating, Source connected']})
hold off
clear xaxis;
clear yaxis;




%PMOS_CGB_COX_SIMULATED_TT
figure(10)
hold on
column=0;
for row=375:1:400
    xaxis(1+row-375) = ((data_sim_ac_pmos_d_floating_vs_neg_00_tt(1+row,1+column) - (1.162))^(1/1.065));       % plot (Vg-Vfb)^(1/n)
    yaxis(1+row-375) = 1/(data_sim_ac_pmos_d_floating_vs_neg_00_tt(1+row,16+column));
end
plot(xaxis,yaxis,'k.')
legend('1/C_{gb}')

xlabel('1/(V_{G} - V_{FB})^{1/n}');
ylabel('1/C_{gb}');
    title({['pmos, ','C_{ox} extraction (simulated), ','V_{SB} = 0.0V'];['Drain floating, Source connected']})
hold off
clear xaxis;
clear yaxis;




%Vfb values found from measurements:
%vfb_nmos=-1.121V
%vfb_pmos=+1.090V



%NMOS_CGB_COX_MEASURED
figure(11)
hold on
column=0;
for row=0:1:25
    xaxis(1+row) = ((nmos_complete(1+row,1+column) - (-1.121))^(1/1.0535));       % plot (Vg-Vfb)
    yaxis(1+row) = 1/(nmos_complete(1+row,8+column));
end
plot(xaxis,yaxis,'k.')
legend('1/C_{gb} measured')

xlabel('(V_{G} - V_{FB})^{1/n}');
ylabel('1/C_{gb}');
    title({['die5, nmos, ','C_{ox} extraction (measured), ','V_{SB} = 0.0V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;





%PMOS_CGB_COX_MEASURED
figure(12)
hold on
column=0;
for row=775:1:800
    xaxis(1+row-775) = ((pmos_complete(1+row,1+column) - (1.090))^(1/1.0535));      % plot (Vg-Vfb)
    yaxis(1+row-775) = 1/(pmos_complete(1+row,8+column));
end
plot(xaxis,yaxis,'k.')
legend('1/C_{gb} measured')

xlabel('(V_{G} - V_{FB})^{1/n}');
ylabel('1/C_{gb}');
    title({['die7, pmos, ','C_{ox} extraction (measured), ','V_{SB} = 0.0V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;







%##########################################################################
%###################### EXTRACT VTH from Cgb ##############################
%##########################################################################


%NMOS RESULTS:
%Vsb= 0.0 --> Vth = 
%Vsb= 0.1 --> Vth = 
%Vsb= 0.2 --> Vth = 


%NMOS_CGB_MEASURED - VSB = 0.0V
figure(14)
hold on
column=0;
for row=0:1:800
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = nmos_complete(1+row,1+column);
        yaxis(1+row) = abs( (nmos_complete(1+row,7+column) - nmos_complete(1+row-1,7+column)) / (nmos_complete(1+row,1+column) - nmos_complete(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;



%NMOS_CGB_SIMULATED_TT - VSB = 0.0V
figure(14)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs00_tt(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_nmos_d_floating_vs00_tt(1+row,16+column) - data_sim_ac_nmos_d_floating_vs00_tt(1+row-1,16+column)) / (data_sim_ac_nmos_d_floating_vs00_tt(1+row,1+column) - data_sim_ac_nmos_d_floating_vs00_tt(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_SS - VSB = 0.0V
figure(14)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs00_ss(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_nmos_d_floating_vs00_ss(1+row,16+column) - data_sim_ac_nmos_d_floating_vs00_ss(1+row-1,16+column)) / (data_sim_ac_nmos_d_floating_vs00_ss(1+row,1+column) - data_sim_ac_nmos_d_floating_vs00_ss(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_FF - VSB = 0.0V
figure(14)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs00_ff(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_nmos_d_floating_vs00_ff(1+row,16+column) - data_sim_ac_nmos_d_floating_vs00_ff(1+row-1,16+column)) / (data_sim_ac_nmos_d_floating_vs00_ff(1+row,1+column) - data_sim_ac_nmos_d_floating_vs00_ff(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;

xlabel('V_{G} [V]');
ylabel('|dC_{gb}/dV_{G}|');
    title({['die5, nmos, ','V_{th} extraction (measured), ','V_{SB} = 0.0V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;





%NMOS_CGB_MEASURED - VSB = 0.1V
figure(15)
hold on
column=0;
for row=0:1:800
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = nmos_complete(1+row,1+column);
        yaxis(1+row) = abs( (nmos_complete(1+row,13+column) - nmos_complete(1+row-1,13+column)) / (nmos_complete(1+row,1+column) - nmos_complete(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_TT - VSB = 0.1V
figure(15)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs01_tt(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_nmos_d_floating_vs01_tt(1+row,16+column) - data_sim_ac_nmos_d_floating_vs01_tt(1+row-1,16+column)) / (data_sim_ac_nmos_d_floating_vs01_tt(1+row,1+column) - data_sim_ac_nmos_d_floating_vs01_tt(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_SS - VSB = 0.1V
figure(15)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs01_ss(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_nmos_d_floating_vs01_ss(1+row,16+column) - data_sim_ac_nmos_d_floating_vs01_ss(1+row-1,16+column)) / (data_sim_ac_nmos_d_floating_vs01_ss(1+row,1+column) - data_sim_ac_nmos_d_floating_vs01_ss(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_FF - VSB = 0.1V
figure(15)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs01_ff(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_nmos_d_floating_vs01_ff(1+row,16+column) - data_sim_ac_nmos_d_floating_vs01_ff(1+row-1,16+column)) / (data_sim_ac_nmos_d_floating_vs01_ff(1+row,1+column) - data_sim_ac_nmos_d_floating_vs01_ff(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;

xlabel('V_{G} [V]');
ylabel('|dC_{gb}/dV_{G}|');
    title({['die5, nmos, ','V_{th} extraction (measured), ','V_{SB} = 0.1V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;






%NMOS_CGB_MEASURED - VSB = 0.2V
figure(16)
hold on
column=0;
for row=0:1:800
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = nmos_complete(1+row,1+column);
        yaxis(1+row) = abs( (nmos_complete(1+row,19+column) - nmos_complete(1+row-1,19+column)) / (nmos_complete(1+row,1+column) - nmos_complete(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_TT - VSB = 0.2V
figure(16)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs02_tt(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_nmos_d_floating_vs02_tt(1+row,16+column) - data_sim_ac_nmos_d_floating_vs02_tt(1+row-1,16+column)) / (data_sim_ac_nmos_d_floating_vs02_tt(1+row,1+column) - data_sim_ac_nmos_d_floating_vs02_tt(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_SS - VSB = 0.2V
figure(16)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs02_ss(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_nmos_d_floating_vs02_ss(1+row,16+column) - data_sim_ac_nmos_d_floating_vs02_ss(1+row-1,16+column)) / (data_sim_ac_nmos_d_floating_vs02_ss(1+row,1+column) - data_sim_ac_nmos_d_floating_vs02_ss(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%NMOS_CGB_SIMULATED_FF - VSB = 0.2V
figure(16)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_nmos_d_floating_vs02_ff(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_nmos_d_floating_vs02_ff(1+row,16+column) - data_sim_ac_nmos_d_floating_vs02_ff(1+row-1,16+column)) / (data_sim_ac_nmos_d_floating_vs02_ff(1+row,1+column) - data_sim_ac_nmos_d_floating_vs02_ff(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;

xlabel('V_{G} [V]');
ylabel('|dC_{gb}/dV_{G}|');
    title({['die5, nmos, ','V_{th} extraction (measured), ','V_{SB} = 0.2V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;









%PMOS RESULTS:
%Vsb=-0.0 --> Vth = -0.16V
%Vsb=-0.1 --> Vth = -0.28V
%Vsb=-0.2 --> Vth = -0.385V

%PMOS_CGB_MEASURED - VSB = 0.0V
figure(17)
hold on
column=0;
for row=0:1:800
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = abs( (pmos_complete(1+row,7+column) - pmos_complete(1+row-1,7+column)) / (pmos_complete(1+row,1+column) - pmos_complete(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_TT - VSB = 0.0V
figure(17)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_00_tt(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_pmos_d_floating_vs_neg_00_tt(1+row,16+column) - data_sim_ac_pmos_d_floating_vs_neg_00_tt(1+row-1,16+column)) / (data_sim_ac_pmos_d_floating_vs_neg_00_tt(1+row,1+column) - data_sim_ac_pmos_d_floating_vs_neg_00_tt(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_SS - VSB = 0.0V
figure(17)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_00_ss(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_pmos_d_floating_vs_neg_00_ss(1+row,16+column) - data_sim_ac_pmos_d_floating_vs_neg_00_ss(1+row-1,16+column)) / (data_sim_ac_pmos_d_floating_vs_neg_00_ss(1+row,1+column) - data_sim_ac_pmos_d_floating_vs_neg_00_ss(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;

%PMOS_CGB_SIMULATED_FF - VSB = 0.0V
figure(17)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_00_ff(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_pmos_d_floating_vs_neg_00_ff(1+row,16+column) - data_sim_ac_pmos_d_floating_vs_neg_00_ff(1+row-1,16+column)) / (data_sim_ac_pmos_d_floating_vs_neg_00_ff(1+row,1+column) - data_sim_ac_pmos_d_floating_vs_neg_00_ff(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;

xlabel('V_{G} [V]');
ylabel('|dC_{gb}/dV_{G}|');
    title({['die7, pmos, ','V_{th} extraction (measured), ','V_{SB} = 0.0V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;







%PMOS_CGB_MEASURED - VSB = -0.1V
figure(18)
hold on
column=0;
for row=0:1:800
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = abs( (pmos_complete(1+row,13+column) - pmos_complete(1+row-1,13+column)) / (pmos_complete(1+row,1+column) - pmos_complete(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_TT - VSB = -0.1V
figure(18)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_01_tt(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_pmos_d_floating_vs_neg_01_tt(1+row,16+column) - data_sim_ac_pmos_d_floating_vs_neg_01_tt(1+row-1,16+column)) / (data_sim_ac_pmos_d_floating_vs_neg_01_tt(1+row,1+column) - data_sim_ac_pmos_d_floating_vs_neg_01_tt(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;

%PMOS_CGB_SIMULATED_SS - VSB = -0.1V
figure(18)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_01_ss(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_pmos_d_floating_vs_neg_01_ss(1+row,16+column) - data_sim_ac_pmos_d_floating_vs_neg_01_ss(1+row-1,16+column)) / (data_sim_ac_pmos_d_floating_vs_neg_01_ss(1+row,1+column) - data_sim_ac_pmos_d_floating_vs_neg_01_ss(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_FF - VSB = -0.1V
figure(18)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_01_ff(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_pmos_d_floating_vs_neg_01_ff(1+row,16+column) - data_sim_ac_pmos_d_floating_vs_neg_01_ff(1+row-1,16+column)) / (data_sim_ac_pmos_d_floating_vs_neg_01_ff(1+row,1+column) - data_sim_ac_pmos_d_floating_vs_neg_01_ff(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;



xlabel('V_{G} [V]');
ylabel('|dC_{gb}/dV_{G}|');
    title({['die7, pmos, ','V_{th} extraction (measured), ','V_{SB} = -0.1V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;







%PMOS_CGB_MEASURED - VSB = -0.2V
figure(19)
hold on
column=0;
for row=0:1:800
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = pmos_complete(1+row,1+column);
        yaxis(1+row) = abs( (pmos_complete(1+row,19+column) - pmos_complete(1+row-1,19+column)) / (pmos_complete(1+row,1+column) - pmos_complete(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k-')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_TT - VSB = -0.2V
figure(19)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_02_tt(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_pmos_d_floating_vs_neg_02_tt(1+row,16+column) - data_sim_ac_pmos_d_floating_vs_neg_02_tt(1+row-1,16+column)) / (data_sim_ac_pmos_d_floating_vs_neg_02_tt(1+row,1+column) - data_sim_ac_pmos_d_floating_vs_neg_02_tt(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k:')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_SS - VSB = -0.2V
figure(19)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_02_ss(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_pmos_d_floating_vs_neg_02_ss(1+row,16+column) - data_sim_ac_pmos_d_floating_vs_neg_02_ss(1+row-1,16+column)) / (data_sim_ac_pmos_d_floating_vs_neg_02_ss(1+row,1+column) - data_sim_ac_pmos_d_floating_vs_neg_02_ss(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k-.')
clear xaxis;
clear yaxis;


%PMOS_CGB_SIMULATED_FF - VSB = -0.2V
figure(19)
hold on
column=0;
for row=0:1:400
    if row==0
        xaxis(1+row) = NaN;
        yaxis(1+row) = NaN;
    else
        xaxis(1+row) = data_sim_ac_pmos_d_floating_vs_neg_02_ff(1+row,1+column);
        yaxis(1+row) = abs( (data_sim_ac_pmos_d_floating_vs_neg_02_ff(1+row,16+column) - data_sim_ac_pmos_d_floating_vs_neg_02_ff(1+row-1,16+column)) / (data_sim_ac_pmos_d_floating_vs_neg_02_ff(1+row,1+column) - data_sim_ac_pmos_d_floating_vs_neg_02_ff(1+row-1,1+column)) );
    end
end
plot(xaxis,yaxis,'k--')
clear xaxis;
clear yaxis;


xlabel('V_{G} [V]');
ylabel('|dC_{gb}/dV_{G}|');
    title({['die7, pmos, ','V_{th} extraction (measured), ','V_{SB} = -0.2V'];['Drain floating, Source connected to external DC bias']})
hold off
clear xaxis;
clear yaxis;